%define upstream_name	 Crypt-Rijndael
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Crypt::CBC compliant Rijndael encryption module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Manifest) >= 1.140.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
This module implements the Rijndael cipher, which has just been selected as the
Advanced Encryption Standard.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
CFLAGS="%{optflags}" make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc COPYING Changes LICENSE META.yml MYMETA.yml NEWS README examples
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 364967
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.110.0-1.mga3
+ Revision: 285221
- update to 1.11

* Thu Jul 12 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 270263
- update to 1.10

* Wed May 30 2012 jquelin <jquelin> 1.90.0-5.mga3
+ Revision: 250416
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.90.0-4.mga2
+ Revision: 103858
- perl 5.14

* Tue Jan 25 2011 jquelin <jquelin> 1.90.0-3.mga1
+ Revision: 38568
- remove erroneous %
- no parallel make
- mageia rebuild
- fix cflags invocation
- mageia rebuild
- imported package perl-Crypt-Rijndael

